> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tedro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign in with email + password

> Authenticate an existing user and return a session. Sets the Better Auth session cookie on success.



## OpenAPI

````yaml /api-reference/openapi.json post /api/auth/sign-in/email
openapi: 3.1.0
info:
  title: Tedro API
  version: 1.0.0
  description: REST API for the Tedro communication operations platform.
servers:
  - url: https://api.tedro.io
    description: Production
security:
  - sessionCookie: []
    workspaceId: []
paths:
  /api/auth/sign-in/email:
    post:
      tags:
        - Auth
      summary: Sign in with email + password
      description: >-
        Authenticate an existing user and return a session. Sets the Better Auth
        session cookie on success.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthSignInEmailBody'
      responses:
        '200':
          description: Signed in; session cookie set
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthSessionResponse'
        '400':
          description: Bad Request - invalid or missing parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '401':
          description: Invalid credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthInvalidCredentialsResponse'
      security: []
components:
  schemas:
    AuthSignInEmailBody:
      type: object
      properties:
        email:
          type: string
          format: email
        password:
          type: string
          minLength: 1
      required:
        - email
        - password
      description: Better Auth email/password sign-in payload
      example:
        email: user@example.com
        password: ••••••••
    AuthSessionResponse:
      type: object
      properties:
        user:
          type: object
          properties:
            id:
              type: string
            email:
              type: string
              format: email
            name:
              type:
                - string
                - 'null'
            emailVerified:
              type: boolean
          required:
            - id
            - email
          additionalProperties: {}
        session:
          type: object
          properties:
            id:
              type: string
            userId:
              type: string
            expiresAt:
              type: string
          required:
            - id
            - userId
            - expiresAt
          additionalProperties: {}
      required:
        - user
        - session
      description: Better Auth session + user after successful sign-in/sign-up
    ValidationErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
            required:
              - path
              - message
      required:
        - error
    AuthInvalidCredentialsResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Session cookie set by Better Auth on sign-in.
    workspaceId:
      type: apiKey
      in: header
      name: x-workspace-id
      description: Workspace UUID. Required on all /api/* endpoints.

````